import {Canonical} from './Canonical.ts'

export class RecursiveCanonical extends Canonical<any> {
    public get(key: string): any | undefined {
        const parts = key.split('.')
        let current_value = this._items
        for ( const part of parts ) {
            current_value = current_value?.[part]
        }
        return current_value
    }
}
